package com.contabilidad.EntConta;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "pesonal_asignado", schema = "dbcontabilidad")
public class PersonalAsignado implements Serializable {

    @Id
    @Column(name = "idf")
    private Integer idf;
    @Column(name = "usuario_codigo")
    private String usuarioCodigo;
    @Column(name = "empleado_codigo")
    private String empleadoCodigo;
    @Column(name = "departamento")
    private String departamento;

    public Integer getIdf() {
        return idf;
    }

    public void setIdf(Integer idf) {
        this.idf = idf;
    }

    public String getUsuarioCodigo() {
        return usuarioCodigo;
    }

    public void setUsuarioCodigo(String usuarioCodigo) {
        this.usuarioCodigo = usuarioCodigo;
    }

    public String getEmpleadoCodigo() {
        return empleadoCodigo;
    }

    public void setEmpleadoCodigo(String empleadoCodigo) {
        this.empleadoCodigo = empleadoCodigo;
    }

    public String getDepartamento() {
        return departamento;
    }

    public void setDepartamento(String departamento) {
        this.departamento = departamento;
    }

    public PersonalAsignado(Integer idf, String usuarioCodigo, String empleadoCodigo, String departamento) {
        this.idf = idf;
        this.usuarioCodigo = usuarioCodigo;
        this.empleadoCodigo = empleadoCodigo;
        this.departamento = departamento;
    }

    public PersonalAsignado() {
    }
}
